## Function `equalsIgnoreCase( s1, s2 )`

Description:
  Determines whether two strings are equal apart from possible upper/lower case distinctions.

Parameters:
  `s1` (String)
    first string
  `s2` (String)
    second string

Return Value (boolean):
  true if s1 and s2 are both blank, or have the same content apart from case folding

Examples:
  - `equalsIgnoreCase("Cygnus", "CYGNUS") = true`
  - `equalsIgnoreCase("Cygnus", "Andromeda") = false`

Signature:
  `boolean equalsIgnoreCase(String, String)`